#from __future__ import division
import formzPythonInterface as fz
import sys

WIDTH = 200
HEIGHT = 200

BOX_DIM = 2

MAX_Z = 10.0

MAX_ITER = 100

XDOMAIN_START = -2.0
XDOMAIN_END = 1
YDOMAIN_START = -1.5
YDOMAIN_END = 1.5

def mandelbrot(c):
    z = 0
    n = 0
    while abs(z) <= 2 and n < MAX_ITER:
        z = z*z + c
        n += 1
    return n

def fzMain():

    org = fz.xyz(0.0, 0.0, 0.0)
    dimn = fz.xyz(BOX_DIM, BOX_DIM, 0.0)

    for x in range(0, WIDTH, BOX_DIM):
        for y in range(0, HEIGHT, BOX_DIM):
            c = complex(XDOMAIN_START + (float(x) / float(WIDTH)) * (XDOMAIN_END - XDOMAIN_START),
                        YDOMAIN_START + (float(y) / float(HEIGHT)) * (YDOMAIN_END - YDOMAIN_START))
            m = mandelbrot(c)

            dimn.z = MAX_Z - ((m / float(MAX_ITER)) * MAX_Z)
            if dimn.z > 0.0:
                org.x = x
                org.y = y
                fz.cube(org, dimn)

