#from __future__ import division
import formzPythonInterface as fz
import sys

WIDTH = 200
HEIGHT = 200

MAX_Z = 10.0

MAX_ITER = 100

XDOMAIN_START = -2.0
XDOMAIN_END = 1
YDOMAIN_START = -1.5
YDOMAIN_END = 1.5

def mandelbrot(c):
    z = 0
    n = 0
    while abs(z) <= 2 and n < MAX_ITER:
        z = z*z + c
        n += 1
    return n

def fzMain():

    levels = [50,25,10,5,3,2,1]
    count = 0;

    for iter in levels:
        dimn = fz.xyz(iter, iter, 0.0)
        org = fz.xyz(0.0, 0.0, count * (MAX_Z * 4.0))
        myMaterial = fz.createMaterial()
        myMaterial.setColorHSL([count / float(len(levels)), .5, .5]);
        count += 1
        for x in range(0, WIDTH, iter):
            for y in range(0, HEIGHT, iter):
                c = complex(XDOMAIN_START + (float(x) / float(WIDTH)) * (XDOMAIN_END - XDOMAIN_START),
                            YDOMAIN_START + (float(y) / float(HEIGHT)) * (YDOMAIN_END - YDOMAIN_START))
                m = mandelbrot(c)

                dimn.z = MAX_Z - ((m / float(MAX_ITER)) * MAX_Z)
                if dimn.z > 0.0:
                    org.x = x + iter/2.0
                    org.y = y + iter/2.0
                    obj = fz.cube(org, dimn)
                    obj.setMaterial(myMaterial)

